Bug 709775 - CVE-2011-2178 libvirt: regression introduced in disk probe logic [fedora-15]
CVE-2011-2178 libvirt: regression introduced in disk probe logic [fedora-15]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2178
  Show dependency treegraph
 
Reported: 2011-06-01 11:32 EDT by Petr Matousek
Modified: 2011-07-12 00:59 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.8.8-7.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 00:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2011-06-01 11:32:36 EDT
fedora-15 tracking bug for libvirt: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Eric Blake 2011-06-01 19:41:48 EDT
This upstream commit needs to be backported to F15:

commit b598ac555c8fe67ffc39ac8ef25fe7e6b28ae3f2
Author: Eric Blake <eblake@redhat.com>
Date:   Thu May 26 08:18:46 2011 -0600

    security: plug regression introduced in disk probe logic
    
    wrong sizeof operand meant that security manager private data
    was overlaying the allowDiskFormatProbing member of struct
    _virSecurityManager.  This reopens disk probing, which was
    supposed to be prevented by the solution to CVE-2010-2238.
    
    * src/security/security_manager.c
    (virSecurityManagerGetPrivateData): Use correct offset.
Comment 2 Fedora Update System 2011-07-06 11:57:18 EDT
libvirt-0.8.8-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libvirt-0.8.8-7.fc15
Comment 3 Fedora Update System 2011-07-06 17:31:48 EDT
Package libvirt-0.8.8-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.8.8-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libvirt-0.8.8-7.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-07-12 00:59:34 EDT
libvirt-0.8.8-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.